summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-tlnet
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2010-01-16 19:22:57 +0000
committerKarl Berry <karl@freefriends.org>2010-01-16 19:22:57 +0000
commitb9f72bf652a21634e984a872cd447059a4d98fb1 (patch)
tree4708ef76dd8ca21107e374128f2069f499c0355e /Master/tlpkg/bin/tl-update-tlnet
parent0455bc078f2d0fe0eba5f7c3a983f63754593c85 (diff)
temp debugging to see where /home/texlive/trunk/Master/texmf-dist/tlpkg is getting cre ated.
git-svn-id: svn://tug.org/texlive/trunk@16746 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tl-update-tlnet')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-tlnet7
1 files changed, 7 insertions, 0 deletions
diff --git a/Master/tlpkg/bin/tl-update-tlnet b/Master/tlpkg/bin/tl-update-tlnet
index 573daf7590c..f4f221912d2 100755
--- a/Master/tlpkg/bin/tl-update-tlnet
+++ b/Master/tlpkg/bin/tl-update-tlnet
@@ -55,6 +55,8 @@ END_NO_TLPDB
exit 1
fi
+ls -ld /home/texlive/trunk/Master/texmf-dist/tlpkg || true
+
# Keep the default out of ~ftp/texlive/tlnet, which CTAN mirrors.
test -z "$tltrybase" \
&& tltrybase=`cd $tlweb/../.. && pwd`/tlnet-trial-`date +%y%m%d`
@@ -79,12 +81,14 @@ cow-shell <<END_COW
echo "$0: Running tl-update-containers..."
$Master/tlpkg/bin/tl-update-containers \
$verbose -location $tltry $critical $recreate
+ls -ld /home/texlive/trunk/Master/texmf-dist/tlpkg || true
# It is scary, but I guess we should update the installer package every
# day, partly for the sake of doc.html and partly so it actually gets
# tested. Hopefully we don't break the Perl modules very often.
echo "$0: Running tl-update-install-pkg..."
$Master/tlpkg/bin/tl-update-install-pkg -o $tltry
+ls -ld /home/texlive/trunk/Master/texmf-dist/tlpkg || true
END_COW
# if not doing the test installation, never push anything out.
@@ -118,6 +122,7 @@ option_path 0
echo "$0: Running test install (log: `pwd`/install.log)..."
perl install-tl -location $tltry -profile texlive.profile >install.log 2>&1\
|| true # install-tl can fail, but we test the output, so don't abort.
+ls -ld /home/texlive/trunk/Master/texmf-dist/tlpkg || true
# the following long grep command should filter away all *normal*
# installation messages.
@@ -183,6 +188,7 @@ if test $failure = false; then
echo >&2
failure=true
fi
+ls -ld /home/texlive/trunk/Master/texmf-dist/tlpkg || true
done
fi
@@ -209,4 +215,5 @@ else
rm -rf $tltrybase
echo "$0: Done."
fi
+ls -ld /home/texlive/trunk/Master/texmf-dist/tlpkg || true
exit 0